%define	name	kile
%define	version	1.6.3
%define	release	2mdk
%define	Summary	Integrated LaTeX Environment for KDE3
Name:		%{name}
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	tetex-latex
Buildrequires:	qt3-devel kdelibs-devel

%description
Integrated LaTeX Environment for KDE3

%prep
%setup -q

%build
%configure2_5x	--disable-rpath \
		--disable-debug \
		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Office/Publishing"\
title="Kile"\
longtitle="%{Summary}"\
command="%{name}"\
icon="%{name}.png"
EOF

install -m644 $RPM_BUILD_ROOT%{_iconsdir}/crystalsvg/32x32/apps/kile.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/crystalsvg/16x16/apps/kile.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/crystalsvg/48x48/apps/kile.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc INSTALL README

%_menudir/*
%_bindir/*

%_datadir/applications/kde/*.desktop
%_datadir/mimelnk/text/*

%dir %_datadir/apps/kile/
%_datadir/apps/kile/*.rc

%dir %_datadir/apps/kile/mathsymbols/
%_datadir/apps/kile/mathsymbols/*.png

%dir %_datadir/apps/kile/pics/
%_datadir/apps/kile/pics/*.png

%_datadir/apps/katepart/syntax/*

%_datadir/icons/crystalsvg/16x16/apps/*.png
%_datadir/icons/crystalsvg/22x22/apps/*.png
%_datadir/icons/crystalsvg/32x32/apps/*.png
%_datadir/icons/crystalsvg/48x48/apps/*.png


%dir %_datadir/apps/kile/templates/
%_datadir/apps/kile/templates/*.tex

%dir %_docdir/HTML/en/kile/
%doc %_docdir/HTML/en/kile/TODO
%doc %_docdir/HTML/en/kile/*.png
%doc %_docdir/HTML/en/kile/*.bz2
%doc %_docdir/HTML/en/kile/*.docbook
%doc %_docdir/HTML/en/kile/common
%doc %_docdir/HTML/en/kile/*.html

%dir %_docdir/HTML/it/kile/
#%doc %_docdir/HTML/it/kile/*.png
%doc %_docdir/HTML/it/kile/*.bz2
%doc %_docdir/HTML/it/kile/*.docbook
%doc %_docdir/HTML/it/kile/common
#%doc %_docdir/HTML/it/kile/*.html

%dir %_docdir/HTML/sv/kile/
%doc %_docdir/HTML/sv/kile/*.png
%doc %_docdir/HTML/sv/kile/*.bz2
%doc %_docdir/HTML/sv/kile/*.docbook
%doc %_docdir/HTML/sv/kile/common
#%doc %_docdir/HTML/sv/kile/*.html

%dir %_docdir/HTML/et/kile/
#%doc %_docdir/HTML/et/kile/*.png
%doc %_docdir/HTML/et/kile/*.bz2
%doc %_docdir/HTML/et/kile/*.docbook
%doc %_docdir/HTML/et/kile/common



%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.3-2mdk
- Rebuild

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.3-1mdk
- 1.6.3
- cleanups

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Sun Feb 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- fix menu

* Mon Nov 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- 1.6

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.5.2-1mdk
- rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- buildrequires & I hate your bot Stefan ! :-)

* Tue Apr 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- 1.5

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- real 1.4
- clean spec

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4
- use lang macro
- clean spec

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.31-3mdk
- Rebuild

* Mon Dec 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.31-2mdk
- 1.31

* Sat Nov 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-2mdk
- Rebuild
- Add patch1 : fix gcc-3.2 compile

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3 

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta1.1mdk
- 1.3beta1

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Clean spec file ! => Spec file was illegible !
=> Use this spec file for generate suse or redhat package, I don't
think that it's necessary !


* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- 1.2

* Sun Aug 18 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-3mdk
- gcc 3.2 rebuild

* Sun Jul 28 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-2mdk
- Club->cooker
- Buildrequires kdegraphics
* Sun Jul 28 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-1mdk
- Merge Mandrake/Redhat/SuSE Spec files with auto-detection
  of Redhat and Mandrake 8.x, setting prefix accordingly.
- Add icons
- Require tetex-latex
- Prevent kile from owning every dir it has a file in.



